import React from 'react';
import { RedirectProps } from 'react-router-dom';
export interface NamedRedirectProps<TParams = object> extends RedirectProps {
    to: string;
    params?: TParams;
    children: React.ReactNode;
}
declare const NamedRedirect: ({ to, params, children, ...otherProps }: NamedRedirectProps<object>) => JSX.Element;
export default NamedRedirect;
