import React from 'react';
import { RouteProps } from 'react-router-dom';
export interface NamedRouteProps<TParams = object> extends RouteProps {
    name: string;
    children: React.ReactNode;
}
declare const NamedRoute: ({ name, children, ...otherProps }: NamedRouteProps<object>) => JSX.Element;
export default NamedRoute;
