"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const react_router_dom_1 = require("react-router-dom");
const react_router_1 = require("react-router");
/* eslint-enable */
const utils_1 = require("./utils");
exports.routerContext = react_1.createContext(utils_1.buildRoutingContext([]));
exports.useNamedRouting = () => react_1.useContext(exports.routerContext);
const NamedRouter = ({ routerComponent: RouterComponent = react_router_dom_1.BrowserRouter, routerProps, routes, children, }) => (react_1.default.createElement(RouterComponent, Object.assign({}, routerProps),
    react_1.default.createElement(react_router_1.Route, null, ({ history }) => (react_1.default.createElement(exports.routerContext.Provider, { value: utils_1.buildRoutingContext(routes, history) }, children)))));
exports.default = NamedRouter;
